Description

Also, arbitrary additional users and roles must be accepted and managed.
Also, the nginx template used by smartgears must expose the /manager context (with ACLs)

History

#2 - Dec 06, 2017 02:30 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#3 - Dec 06, 2017 03:59 PM - Andrea Dell'Amico

The configuration will be global. It will affect all the tomcat instances installed on a node.

#4 - Dec 06, 2017 04:30 PM - Andrea Dell'Amico
- % Done changed from 0 to 70

The tomcat part should be complete.

#5 - Dec 06, 2017 05:04 PM - Andrea Dell'Amico
- % Done changed from 70 to 100

The smartgears side is also ready to be tested. The template part is:
{$ if tomcat_m_manager_install or tomcat_m_host_manager_install %}
{$ if smartgears_tomcat_manager_exposed %}
location /manager {
{$ for acl in smartgears_tomcat_manager_access_acls %}
{{ acl.policy }} {{ acl.address }};
{% endfor %}
proxy_pass http://127.0.0.1:{{ smartgears_http_port }}/manager;
}
{% endif %}
{$ endif %}

So that we have a lot of options:
® activate the manager but do not expose at all
e expose it to a range of addresses
e expose it to the world (this is the default if smartgears_tomcat_manager_exposed is set to True and smartgears_tomcat_manager_access_acls
is not overwritten)
The defaults are:
smartgears_tomcat_manager_exposed: False

smartgears_tomcat_manager_access_acls:
- { policy: 'allow' address: '0.0.0.0/0' }

#6 - Dec 06, 2017 06:06 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

Dec 15, 2025 1/2




It's working, just tested on thredds-d-d4s.d4science.org.
